{
  "group/workspaces": {
    "orientation": "inherit",
    "modules": [
      "hyprland/workspaces",
      "hyprland/window"
    ]
  },
  "hyprland/workspaces": {
    "active-only": false,
    "all-outputs": true,
    "on-click": "activate",
    "workspace-taskbar": {
      "enable": true,
      "active-window-position": "last",
      "update-active-window": true,
      "icon-theme": [
        "Silvery-Dark-Icons"
      ]
    },
    "format-icons": {
      "active": ""
    },
    "format": "{icon} {windows}"
  },
  "hyprland/window": {
    "format": "[{class}] {title}",
    "rewrite": {
      "(.*) - Vivaldi": "$1",
      "(.*) - fish": "$1"
    },
    "separate-outputs": false
  },
  "custom/exit": {
    "format": "",
    "tooltip-format": "Powermenu",
    "on-click": "wlogout -b 4",
    "tooltip": false
  },
  // System tray
  "tray": {
    "orientation": "vertical",
    "show-passive-items": true,
    // "icon-size": 21,
    "spacing": 10
  },
  // Clock
  "clock": {
    // "timezone": "America/New_York",
    "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
    "format-alt": "{:%Y-%m-%d}"
  },
  // System
  "custom/system": {
    "format": "",
    "tooltip": false
  },
  // CPU
  "cpu": {
    "interval": 1,
    "format": "{icon0}{icon1}{icon2}{icon3}{icon4}{icon5}{icon6}{icon7}{icon8}{icon9}{icon10}{icon11}{icon12}{icon13}{icon14}{icon15}",
    "format-icons": [
      "<span color='#69ff94'>▁</span>", // green
      "<span color='#2aa9ff'>▂</span>", // blue
      "<span color='#f8f8f2'>▃</span>", // white
      "<span color='#f8f8f2'>▄</span>", // white
      "<span color='#ffffa5'>▅</span>", // yellow
      "<span color='#ffffa5'>▆</span>", // yellow
      "<span color='#ff9977'>▇</span>", // orange
      "<span color='#dd532e'>█</span>"  // red
    ],
    "on-click": "kitty -e htop"
  },
  // Memory
  "memory": {
    "format": "/ M {}% ",
    "on-click": "kitty -e htop"
  },
  // Harddisc space used
  "disk": {
    "interval": 30,
    "format": "D {percentage_used}% ",
    "path": "/",
    "on-click": "kitty -e htop"
  },
  "hyprland/language": {
    "format": "/ K {short}"
  },
  // Group Hardware
  "group/hardware": {
    "orientation": "inherit",
    "drawer": {
      "transition-duration": 300,
      "children-class": "not-memory",
      "transition-left-to-right": false
    },
    "modules": [
      "custom/system",
      "pulseaudio",
      "network",
      "disk",
      "memory",
      "hyprland/language"
    ]
  },
  // Network
  "network": {
    "format": "{ifname}",
    "format-wifi": " {essid} ({signalStrength}%)",
    "format-ethernet": "  {ifname}",
    "format-disconnected": "Disconnected ⚠",
    "tooltip-format": " {ifname} via {gwaddri}",
    "tooltip-format-wifi": "  {ifname} @ {essid}\nIP: {ipaddr}\nStrength: {signalStrength}%\nFreq: {frequency}MHz\nUp: {bandwidthUpBits} Down: {bandwidthDownBits}",
    "tooltip-format-ethernet": " {ifname}\nIP: {ipaddr}\n up: {bandwidthUpBits} down: {bandwidthDownBits}",
    "tooltip-format-disconnected": "Disconnected",
    "max-length": 50,
    "on-click": "~/.config/ml4w/settings/networkmanager.sh",
    "on-click-right": "~/.config/ml4w/scripts/nm-applet.sh toggle"
  },
  // Pulseaudio
  "pulseaudio": {
    // "scroll-step": 1, // %, can be a float
    "format": "{icon}  {volume}%",
    "format-bluetooth": "{volume}% {icon}",
    "format-bluetooth-muted": " {icon}",
    "format-muted": "",
    "format-source": "{volume}% ",
    "format-source-muted": "",
    "format-icons": {
      "default": [
        "",
        " ",
        " "
      ]
    },
    "on-click": "pavucontrol"
  },
  // Bluetooth
  "bluetooth": {
    "format-disabled": "",
    "format-off": "",
    "interval": 30,
    "on-click": "blueman-manager",
    "format-no-controller": ""
  },
  // Other
  "user": {
    "format": "{user}",
    "interval": 60,
    "icon": false
  },
  // Idle Inhibator
  "idle_inhibitor": {
    "format": "{icon}",
    "tooltip": true,
    "format-icons": {
      "activated": "",
      "deactivated": ""
    },
    "on-click-right": "hyprlock"
  }
}
